| The Gaudi Framework v28r2p1 (f1a77ff4)

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Public Attributes | List of all members
GaudiMP.pTools.PackedCaloHypo Class Reference

## Public Member Functions
def | __init__ (self, o)
def | __repr__ (self)

## Public Attributes
| centX
| centY
| cerr
| cov
| firstCluster
| firstDigit
| firstHypo
| hypothesis
| key
| lastCluster
| lastDigit
| lastHypo
| lh
| pos
| z

## Detailed Description

Definition at line 497 of file pTools.py.

## Constructor & Destructor Documentation

def GaudiMP.pTools.PackedCaloHypo.__init__ | ( |  | self,
|  |  | o
| ) |  |

Definition at line 498 of file pTools.py.

498 def __init__(self, o) :
499 cl = 'LHCb::PackedCaloHypo'
500 assert o.__class__.__name__ == cl
501 self.centX = o.centX
502 self.centY = o.centY
503 self.cerr = (o.cerr00,o.cerr10,o.cerr11)
504 self.cov = (o.cov00,o.cov10,o.cov11,o.cov20,o.cov21,o.cov22)
505 self.firstCluster = o.firstCluster
506 self.firstDigit = o.firstDigit
507 self.firstHypo = o.firstHypo
508 self.hypothesis = o.hypothesis
509 self.key = o.key
510 self.lastCluster = o.lastCluster
511 self.lastDigit = o.lastDigit
512 self.lastHypo = o.lastHypo
513 self.lh = o.lh
514 self.pos = (o.posE, o.posX, o.posY)
515 self.z = o.z
GaudiMP.pTools.PackedCaloHypo.centY
centY
Definition: pTools.py:502
GaudiMP.pTools.PackedCaloHypo.__init__
def __init__(self, o)
Definition: pTools.py:498
GaudiMP.pTools.PackedCaloHypo.lastDigit
lastDigit
Definition: pTools.py:511
GaudiMP.pTools.PackedCaloHypo.firstHypo
firstHypo
Definition: pTools.py:507
GaudiMP.pTools.PackedCaloHypo.hypothesis
hypothesis
Definition: pTools.py:508
GaudiMP.pTools.PackedCaloHypo.lastHypo
lastHypo
Definition: pTools.py:512
GaudiMP.pTools.PackedCaloHypo.z
z
Definition: pTools.py:515
GaudiMP.pTools.PackedCaloHypo.lh
lh
Definition: pTools.py:513
GaudiMP.pTools.PackedCaloHypo.pos
pos
Definition: pTools.py:514
GaudiMP.pTools.PackedCaloHypo.firstCluster
firstCluster
Definition: pTools.py:505
GaudiMP.pTools.PackedCaloHypo.cov
cov
Definition: pTools.py:504
GaudiMP.pTools.PackedCaloHypo.cerr
cerr
Definition: pTools.py:503
GaudiMP.pTools.PackedCaloHypo.centX
centX
Definition: pTools.py:501
GaudiMP.pTools.PackedCaloHypo.lastCluster
lastCluster
Definition: pTools.py:510
GaudiMP.pTools.PackedCaloHypo.key
key
Definition: pTools.py:509
GaudiMP.pTools.PackedCaloHypo.firstDigit
firstDigit
Definition: pTools.py:506

## Member Function Documentation

def GaudiMP.pTools.PackedCaloHypo.__repr__ | ( |  | self | ) |

Definition at line 516 of file pTools.py.

516 def __repr__( self ) :
517 s = "PackedCaloHypo : \n"
518 s += "\tcentX : %s\n"%( str(self.centX) )
519 s += "\tcentY : %s\n"%( str(self.centY) )
520 s += "\tcerr : %s\n"%( str(self.cerr ) )
521 s += "\tcov : %s\n"%( str(self.cov ) )
522 s += "\tfirstCluster : %s\n"%( str(self.firstCluster) )
523 s += "\tfirstDigit : %s\n"%( str(self.firstDigit) )
524 s += "\tfirstHypo : %s\n"%( str(self.firstHypo) )
525 s += "\thypothesis : %s\n"%( str(self.hypothesis) )
526 s += "\tkey : %s\n"%( str(self.key) )
527 s += "\tlastCluster : %s\n"%( str(self.lastCluster) )
528 s += "\tlastDigit : %s\n"%( str(self.lastDigit) )
529 s += "\tlastHypo : %s\n"%( str(self.lastHypo) )
530 s += "\tlh : %s\n"%( str(self.lh ) )
531 s += "\tpos : %s\n"%( str(self.pos ) )
532 s += "\tz : %s\n"%( str(self.z ) )
533 s += "---------------------------------------\n"
534 return s
535
536 # =============================================================================
537
GaudiMP.pTools.PackedCaloHypo.__repr__
def __repr__(self)
Definition: pTools.py:516
GaudiMP.pTools.PackedCaloHypo.centY
centY
Definition: pTools.py:502
GaudiMP.pTools.PackedCaloHypo.lastDigit
lastDigit
Definition: pTools.py:511
GaudiMP.pTools.PackedCaloHypo.firstHypo
firstHypo
Definition: pTools.py:507
GaudiMP.pTools.PackedCaloHypo.hypothesis
hypothesis
Definition: pTools.py:508
GaudiMP.pTools.PackedCaloHypo.lastHypo
lastHypo
Definition: pTools.py:512
GaudiMP.pTools.PackedCaloHypo.z
z
Definition: pTools.py:515
GaudiMP.pTools.PackedCaloHypo.lh
lh
Definition: pTools.py:513
GaudiMP.pTools.PackedCaloHypo.pos
pos
Definition: pTools.py:514
GaudiMP.pTools.PackedCaloHypo.firstCluster
firstCluster
Definition: pTools.py:505
GaudiMP.pTools.PackedCaloHypo.cov
cov
Definition: pTools.py:504
GaudiMP.pTools.PackedCaloHypo.cerr
cerr
Definition: pTools.py:503
GaudiMP.pTools.PackedCaloHypo.centX
centX
Definition: pTools.py:501
GaudiMP.pTools.PackedCaloHypo.lastCluster
lastCluster
Definition: pTools.py:510
GaudiMP.pTools.PackedCaloHypo.key
key
Definition: pTools.py:509
GaudiMP.pTools.PackedCaloHypo.firstDigit
firstDigit
Definition: pTools.py:506

## Member Data Documentation

GaudiMP.pTools.PackedCaloHypo.centX

Definition at line 501 of file pTools.py.

GaudiMP.pTools.PackedCaloHypo.centY

Definition at line 502 of file pTools.py.

GaudiMP.pTools.PackedCaloHypo.cerr

Definition at line 503 of file pTools.py.

GaudiMP.pTools.PackedCaloHypo.cov

Definition at line 504 of file pTools.py.

GaudiMP.pTools.PackedCaloHypo.firstCluster

Definition at line 505 of file pTools.py.

GaudiMP.pTools.PackedCaloHypo.firstDigit

Definition at line 506 of file pTools.py.

GaudiMP.pTools.PackedCaloHypo.firstHypo

Definition at line 507 of file pTools.py.

GaudiMP.pTools.PackedCaloHypo.hypothesis

Definition at line 508 of file pTools.py.

GaudiMP.pTools.PackedCaloHypo.key

Definition at line 509 of file pTools.py.

GaudiMP.pTools.PackedCaloHypo.lastCluster

Definition at line 510 of file pTools.py.

GaudiMP.pTools.PackedCaloHypo.lastDigit

Definition at line 511 of file pTools.py.

GaudiMP.pTools.PackedCaloHypo.lastHypo

Definition at line 512 of file pTools.py.

GaudiMP.pTools.PackedCaloHypo.lh

Definition at line 513 of file pTools.py.

GaudiMP.pTools.PackedCaloHypo.pos

Definition at line 514 of file pTools.py.

GaudiMP.pTools.PackedCaloHypo.z

Definition at line 515 of file pTools.py.

The documentation for this class was generated from the following file:

- GaudiMP/python/GaudiMP/pTools.py